Get OTC Exposures
curl --request POST \
--url https://api.kraken.com/0/private/GetOtcExposures \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"nonce": 123
}'import requests
url = "https://api.kraken.com/0/private/GetOtcExposures"
payload = { "nonce": 123 }
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 123})
};
fetch('https://api.kraken.com/0/private/GetOtcExposures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/GetOtcExposures"
payload := strings.NewReader("{\n \"nonce\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [
"EGeneral:Invalid arguments"
],
"result": {
"max_otc": "1500000",
"max_rfq": "1500000",
"used_otc": "100000",
"used_rfq": "50000"
}
}{
"errors": [
{
"field": null,
"value": null,
"type": "Internal Error",
"msg": "Internal error",
"severity": "E",
"errorClass": "General"
}
]
}Quotes
Get OTC Exposures
Retrieves the max and used OTC exposures.
API Key Permissions Required: Orders and trades - Query open orders & trades
POST
/
private
/
GetOtcExposures
Get OTC Exposures
curl --request POST \
--url https://api.kraken.com/0/private/GetOtcExposures \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"nonce": 123
}'import requests
url = "https://api.kraken.com/0/private/GetOtcExposures"
payload = { "nonce": 123 }
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 123})
};
fetch('https://api.kraken.com/0/private/GetOtcExposures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/GetOtcExposures"
payload := strings.NewReader("{\n \"nonce\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [
"EGeneral:Invalid arguments"
],
"result": {
"max_otc": "1500000",
"max_rfq": "1500000",
"used_otc": "100000",
"used_rfq": "50000"
}
}{
"errors": [
{
"field": null,
"value": null,
"type": "Internal Error",
"msg": "Internal error",
"severity": "E",
"errorClass": "General"
}
]
}Authorizations
The "API-Key" header should contain your API key.
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
Body
application/json
Request schema for retrieving OTC exposures data. This endpoint does not require any request body parameters.
Nonce used in construction of API-Sign header
Was this page helpful?